Mail problems...again

Discussion in 'Installation/Configuration' started by dejan.b, Jul 16, 2012.

  1. dejan.b

    dejan.b New Member

    Hello!

    Again i'm encountering problems with postfix mail server on Debian 5.0.6...

    Everything worked ok for days, but from yesterday mail server stoped again...
    I'm seeing clamscan process in process list, it uses 100% CPU and when i try to logon to server or to send mails it fails!

    After stopping clamav and amavis, cpu usage is few percent, but postfix doesnt work at all!
    In mail logs i see error: "Postfix Could not connect to 127.0.0.1:10024 connection refused!"

    Allways problems with SMTP and ISPConfig, am i doing something wrong, or what?

    Best Regards!
     
  2. till

    till Super Moderator

    First of all, its a problem with clamav and not ispconfig. ISPConfig is a controlpanel that writes config files, it does not filter your emails. The second thing is, this setup works on ten thousands of servers without an issue, so you can rest assured that its a problem with your server and not a general problem with the setup.

    You can not send emails because you stopped the filtering service. To be able to send emails again, ensure that your clamav is up to date:

    apt-get update
    apt-get upgrade

    Then restart the filter so that they are online:

    /etc/init.d/clamav restart
    /etc/init.d/amavis restart
    /etc/init.d/postfix restart
     
  3. dejan.b

    dejan.b New Member

    Answer

    Ok,

    But i can't update clamav because support for Debian 5.0.6 doesnt exist anymore...

    When i run apt-get update i get:
    Code:
    Ign cdrom://[Debian GNU/Linux 5.0.5 _Lenny_ - Official amd64 DVD Binary-1 201006             26-18:48] lenny Release.gpg
    Ign cdrom://[Debian GNU/Linux 5.0.5 _Lenny_ - Official amd64 DVD Binary-1 201006             26-18:48] lenny/contrib Translation-en_US
    Ign cdrom://[Debian GNU/Linux 5.0.5 _Lenny_ - Official amd64 DVD Binary-1 201006             26-18:48] lenny/main Translation-en_US
    Ign cdrom://[Debian GNU/Linux 5.0.5 _Lenny_ - Official amd64 DVD Binary-1 201006             26-18:48] lenny Release
    Ign cdrom://[Debian GNU/Linux 5.0.5 _Lenny_ - Official amd64 DVD Binary-1 201006             26-18:48] lenny/contrib Packages/DiffIndex
    Ign cdrom://[Debian GNU/Linux 5.0.5 _Lenny_ - Official amd64 DVD Binary-1 201006             26-18:48] lenny/main Packages/DiffIndex
    Ign http://volatile.debian.org lenny/volatile Release.gpg
    Ign http://volatile.debian.org lenny/volatile/main Translation-en_US
    Ign http://volatile.debian.org lenny/volatile/contrib Translation-en_US
    Ign http://volatile.debian.org lenny/volatile/non-free Translation-en_US
    Ign http://volatile.debian.org lenny/volatile Release
    Ign http://volatile.debian.org lenny/volatile/main Packages/DiffIndex
    Ign http://volatile.debian.org lenny/volatile/contrib Packages/DiffIndex
    Ign http://volatile.debian.org lenny/volatile/non-free Packages/DiffIndex
    Ign http://volatile.debian.org lenny/volatile/main Packages
    Ign http://volatile.debian.org lenny/volatile/contrib Packages
    Ign http://volatile.debian.org lenny/volatile/non-free Packages
    Ign http://volatile.debian.org lenny/volatile/main Packages
    Ign http://volatile.debian.org lenny/volatile/contrib Packages
    Ign http://volatile.debian.org lenny/volatile/non-free Packages
    Err http://volatile.debian.org lenny/volatile/main Packages
      301 Moved Permanently
    Err http://volatile.debian.org lenny/volatile/contrib Packages
      301 Moved Permanently
    Err http://volatile.debian.org lenny/volatile/non-free Packages
      301 Moved Permanently
    W: Failed to fetch http://volatile.debian.org/debian-volatile/dists/lenny/volati             le/main/binary-amd64/Packages  301 Moved Permanently
    
    W: Failed to fetch http://volatile.debian.org/debian-volatile/dists/lenny/volati             le/contrib/binary-amd64/Packages  301 Moved Permanently
    
    W: Failed to fetch http://volatile.debian.org/debian-volatile/dists/lenny/volati             le/non-free/binary-amd64/Packages  301 Moved Permanently
    
    E: Some index files failed to download, they have been ignored, or old ones used              instead.
    
    When i run "apt-get upgrade" i get:

    Code:
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages will be upgraded:
      clamav-base clamav-docs clamav-freshclam tzdata
    4 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    Need to get 33.7MB of archives.
    After this operation, 4780kB of additional disk space will be used.
    Do you want to continue [Y/n]? y
    WARNING: The following packages cannot be authenticated!
      tzdata clamav-base clamav-docs clamav-freshclam
    Install these packages without verification [y/N]? y
    Err http://volatile.debian.org lenny/volatile/main tzdata 2011n-0lenny1
      301 Moved Permanently
    Err http://volatile.debian.org lenny/volatile/main clamav-base 0.97.3+dfsg-1~lenny1
      301 Moved Permanently
    Err http://volatile.debian.org lenny/volatile/main clamav-docs 0.97.3+dfsg-1~lenny1
      301 Moved Permanently
    Err http://volatile.debian.org lenny/volatile/main clamav-freshclam 0.97.3+dfsg-1~lenny1
      301 Moved Permanently
    Failed to fetch http://volatile.debian.org/debian-volatile/pool/volatile/main/t/tzdata/tzdata_2011n-0lenny1_all.deb  301 Moved Permanently
    Failed to fetch http://volatile.debian.org/debian-volatile/pool/volatile/main/c/clamav/clamav-base_0.97.3+dfsg-1~lenny1_all.deb  301 Moved Permanently
    Failed to fetch http://volatile.debian.org/debian-volatile/pool/volatile/main/c/clamav/clamav-docs_0.97.3+dfsg-1~lenny1_all.deb  301 Moved Permanently
    Failed to fetch http://volatile.debian.org/debian-volatile/pool/volatile/main/c/clamav/clamav-freshclam_0.97.3+dfsg-1~lenny1_amd64.deb  301 Moved Permanently
    E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?


    What to do now?
    Why it suddenly stoped to work?


    Regards!


     
  4. commentator

    commentator New Member

    I think there is something wrong with clamav
    I see a lot of error messages and broken update files on my servers.

    Maybe your server doesn't detect broken defs and is then using a lot of cpu
     
  5. Athar

    Athar New Member

    You can rebuild ClamAV from sources too.

    Debian 5 is no more recommended, The best think to do should be to upgrade to Debian 6, from my point of view.
     
  6. dejan.b

    dejan.b New Member

    Upgraded...

    Hello!

    I upgraded server to Debian 6.0.5 and everything went ok, expect CLAMSCAN!

    Still using CPU for about 80% so e-mails are going very slowly....

    What to do now?

    Regards!
     
  7. till

    till Super Moderator

    The system should use clamd and not clamscan. Clamscan is only used when clamd is not working. Restart clamd and check the clamav logs for errors.
     

Share This Page